// Copyright (c) 2025 Zeni Kim <zenik@smarteching.com>
// Use of this source code is governed by MIT-style
// license that can be found in the LICENSE file.

package main

import (
	"git.smarteching.com/goffee/core"
	"git.smarteching.com/jacs/goffeetabler/workers"
)

// Register queues
func registerQueues() {

	var queque = new(core.Queuemux)
	queque.QueueInit()
	//########################################
	//#      quques registration         #####
	//########################################

	// register your queues here ...

	queque.AddWork(workers.TypeWelcomeEmail, workers.HandleWelcomeEmailTask)
	queque.AddWork(workers.TypeReminderEmail, workers.HandleReminderEmailTask)

	//########################################
	// Start queue server, DO NOT TOUCH
	//########################################
	go queque.RunQueueserver()
}
